#include <iostream>
using namespace std;

const int MOD = 666013;

int Pow(int x, int n);

int main()
{
	int x, n;
	cin >> x >> n;
	cout << Pow(x, n);
	
}

int Pow(int x, int n)
{
	long long aux = 1, p = x;
	
	for (int i = 0; (1 << i) <= n; ++i)
	{
		if (n & (1 << i))
			aux = (aux * p) % MOD;
		p = (p * p) % MOD;
	}
	return (int) aux;
}
