#include <iostream>
using namespace std;

const int MOD = 666013;

long long Pow(long long a, long long b) 
{
    if (b == 0)   
		return 1;
    long long res = Pow(a, b / 2);
    if (b % 2)
        return res * res * a;
    else
        return res * res;
}

long long PowBit(long long a, long long b) 
{
    long long res = 1;
    while (b) 
    {
        if (b & 1)
            res = res * a;
        a = a * a;
        b >>= 1;
    }
    return res;
}

int main()
{
	int x, n;
	cin >> x >> n;
	cout << PowBit(x, n);
	
}
